/*
 * generated by Xtext 2.11.0
 */
package org.eclipse.osbp.dsl.common.xtext.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.osbp.dsl.common.xtext.CommonGrammarRuntimeModule;
import org.eclipse.osbp.dsl.common.xtext.CommonGrammarStandaloneSetup;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class CommonGrammarIdeSetup extends CommonGrammarStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new CommonGrammarRuntimeModule(), new CommonGrammarIdeModule()));
	}
	
}
